## org.eclipse.datatools.modelbase.sql.datatypes
Interface ElementType

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, TypedElement

    public interface ElementType

extends TypedElement

A representation of the model object 'Element Type'.

The following features are supported:

- `Collection Data Type`

See Also:
  `SQLDataTypesPackage.getElementType()`

Method Summary
`CollectionDataType` `getCollectionDataType()` Returns the value of the 'Collection Data Type' container reference.
`void` `setCollectionDataType(CollectionDataType value)` Sets the value of the '`Collection Data Type`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.TypedElement
`getContainedType, getDataType, getReferencedType, setContainedType, setDataType, setReferencedType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCollectionDataType

    CollectionDataType getCollectionDataType()

  Returns the value of the 'Collection Data Type' container reference. It is bidirectional and its opposite is '`Element Type`'.

  If the meaning of the 'Collection Data Type' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Collection Data Type' container reference.
  See Also:
    `setCollectionDataType(CollectionDataType)`, `SQLDataTypesPackage.getElementType_CollectionDataType()`, `CollectionDataType.getElementType()`

### setCollectionDataType

    void setCollectionDataType(CollectionDataType value)

  Sets the value of the '`Collection Data Type`' container reference.

  Parameters:
    `value` - the new value of the 'Collection Data Type' container reference.
  See Also:
    `getCollectionDataType()`